#
# spec file for package perl-Net_SSLeay (Version 1.12)
#
# Copyright (c) 2002 SuSE Linux AG, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# neededforbuild  openssl openssl-devel
# usedforbuild    aaa_base aaa_dir aaa_version base bash bindutil bison bzip cpio cpp cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm gppshare grep groff gzip kbd less m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam-devel pam-modules patch ps rcs readline sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim autoconf automake binutils cracklib gcc gdbm gettext libtool libz openssl openssl-devel pam perl rpm

Name:         perl-Net_SSLeay
License:      Artistic License
Group:        Development/Libraries/Perl
Provides:     p_ssleay
Obsoletes:    p_ssleay
Autoreqprov:  on
Summary:      Net::SSLeay Perl Module
Version:      1.12
Release:      138
Source:       Net_SSLeay.pm-%{version}.tar.bz2
Patch1:       Net_SSLeay.pm-%{version}.diff
Patch2:       Net_SSLeay-%{version}-leak.dif
BuildRoot:    %{_tmppath}/%{name}-%{version}-build

%description
Net::SSLeay Perl module for using OpenSSL

Authors:
--------
    Sampo Kellomaki <sampo@iki.fi>

SuSE series: perl

%prep
%setup -n Net_SSLeay.pm-%{version}
%patch1
%patch2

%build
# replace rest of /usr/local/bin/perl with /usr/bin/perl
for f in `find . -type f -exec grep -l /usr/local/bin/perl \{\} \;` ; do
	sed -e s@/usr/local/bin/perl@/usr/bin/perl@g $f > $f.tmp
	mv $f.tmp $f
done
perl Makefile.PL
make
#make test disabled as it leaves processes outside the build enviroment
#make test

%install
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/%{perl_archlib}
make PREFIX=$RPM_BUILD_ROOT/%{_prefix} \
	INSTALLMAN1DIR=$RPM_BUILD_ROOT/%{_mandir}/man1 \
	INSTALLMAN3DIR=$RPM_BUILD_ROOT/%{_mandir}/man3 \
	install
install -d $RPM_BUILD_ROOT/var/adm/perl-modules
cat $RPM_BUILD_ROOT%{perl_archlib}/perllocal.pod | sed "s@$RPM_BUILD_ROOT@@g" > $RPM_BUILD_ROOT/var/adm/perl-modules/perl-Net_SSLeay
cd $RPM_BUILD_ROOT%{perl_sitearch}/auto/Net/SSLeay
cat .packlist | sed "s@$RPM_BUILD_ROOT@@g" | sort -u > .packlist

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc Changes MANIFEST README Credits QuickRef README.Win32
%doc %{_mandir}/man3/*
%{perl_sitearch}/Net/*
%{perl_sitearch}/auto/Net/SSLeay
/var/adm/perl-modules/perl-Net_SSLeay

%changelog -n perl-Net_SSLeay
* Sun Nov 24 2002 - prehak@suse.cz
- applied patch eliminating bug [#21903] (memory leak)
* Mon Jan 14 2002 - rvasice@suse.cz
- update to version 1.12
- spec file cleanup
* Thu Oct 11 2001 - cihlar@suse.cz
- disabled make test as it leaves processes after build
* Wed Apr 04 2001 - schwab@suse.de
- Fix cast to not lose pointer bits.
* Mon Mar 26 2001 - cihlar@suse.cz
- fixed AUTOLOAD
- added make test
- remove tests which need network
* Thu Nov 23 2000 - cihlar@suse.cz
- fixed neededforbuild
* Fri Nov 10 2000 - cihlar@suse.cz
- renamed p_ssleay -> perl-Net_SSLeay
* Wed Aug 23 2000 - cihlar@suse.cz
- package created
